Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\Core\MVC\Symfony\SiteAccess\VersatileMatcher Interface Reference

Interface for SiteAccess matchers. More...

Inheritance diagram for eZ\Publish\Core\MVC\Symfony\SiteAccess\VersatileMatcher:

## Public Member Functions
| reverseMatch ($siteAccessName)
| Returns matcher object corresponding to $siteAccessName or null if non applicable. More...
| getRequest ()
| Returns the SimplifiedRequest object corresponding to the reverse match. More...
Public Member Functions inherited from eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher
| setRequest (SimplifiedRequest $request)
| Injects the request object to match against. More...
| match ()
| Returns matched Siteaccess or false if no siteaccess could be matched. More...
| getName ()
| Returns the matcher's name. More...

## Detailed Description

Interface for SiteAccess matchers.

VersatileMatcher makes it possible to do a reverse match (e.g. "Is this matcher knows provided SiteAccess name?"). Versatile matchers enable cross-siteAccess linking.

Definition at line 15 of file VersatileMatcher.php.

## Member Function Documentation

## ◆ getRequest()

eZ\Publish\Core\MVC\Symfony\SiteAccess\VersatileMatcher::getRequest | ( |  | ) |

Returns the SimplifiedRequest object corresponding to the reverse match.

This request object can then be used to build a link to the "reverse matched" SiteAccess.

See also
  reverseMatch()

Returns
  \eZ\Publish\Core\MVC\Symfony\Routing\SimplifiedRequest

Implemented in eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\URIText, eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\URIElement, eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map, eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\HostText, eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\HostElement, and eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound.

## ◆ reverseMatch()

eZ\Publish\Core\MVC\Symfony\SiteAccess\VersatileMatcher::reverseMatch | ( |  | $siteAccessName | ) |

Returns matcher object corresponding to $siteAccessName or null if non applicable.

Note: VersatileMatcher objects always receive a request with cleaned up pathinfo (i.e. no SiteAccess part inside).

Parameters

  string | $siteAccessName |

Returns
  \eZ\Publish\Core\MVC\Symfony\SiteAccess\VersatileMatcher|null Typically the current matcher, with updated request.

Implemented in eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\URIText, eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\URIElement, eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map\URI, eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map\Port, eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map\Host, eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Map, eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\HostText, eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\HostElement, eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound\LogicalOr, and eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound\LogicalAnd.

The documentation for this interface was generated from the following file:

- VersatileMatcher.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.